Skip to main content
GET
/
audits
/
{auditId}
/
issues
/
snapshots
TypeScript
import { Vanta } from "vanta-auditor-api-sdk";

const vanta = new Vanta({
  bearerAuth: process.env["VANTA_BEARER_AUTH"] ?? "",
});

async function run() {
  const result = await vanta.audits.listAuditSnapshots({
    auditId: "<id>",
  });

  console.log(result);
}

run();
{
  "results": {
    "pageInfo": {
      "hasNextPage": false,
      "hasPreviousPage": false,
      "startCursor": null,
      "endCursor": null
    },
    "data": [
      {
        "id": "5f2c939a52855e725c8d5823",
        "title": "Snapshot taken on 2024-06-01T00:00:00Z",
        "description": "This snapshot captures all open issues as of June 1st, 2024.",
        "createdAt": "2024-06-01T00:00:00.000Z"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

auditId
string
required

The audit ID

Query Parameters

pageSize
integer<int32>
default:10

Maximum number of results per page (1-100, default 10) Controls the maximum number of items returned in one response from the API.

Required range: 1 <= x <= 100
pageCursor
string

Pagination cursor from previous response A marker or pointer, telling the API where to start fetching items for the subsequent page in a paginated dataset. Note that the requested page will not include the item that corresponds to this cursor but will start from the one immediately after this cursor.

Search term for filtering by snapshot title and description

Response

200 - application/json

Ok

results
object
required